<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Aytias
 */
get_header();
?>

<main id="site-content" role="main">

    <div id="primary" class="content-area">

        <div class="wrapper default-max-width">

            <div class="aytias-404-wrapper">

                <h1 class="archive-title"><?php esc_html_e( 'Page Not Found', 'aytias' ); ?></h1>
                    
                <div class="archive-subtitle">
                    <p>
                        <?php esc_html_e('Oops! That page can&rsquo;t be found.Maybe try search?', 'aytias'); ?>
                    </p>
                </div>

                <?php get_search_form(); ?>

                <div class="go-back">
                    <a href="<?php echo esc_url(home_url('/')) ?>" rel="home">
                        <?php aytias_the_theme_svg('home'); ?>
                        <?php _e('Return to Homepage', 'aytias'); ?>
                    </a>
                </div>

            </div>

        </div>

    </div>
</main><!-- #site-content -->

<?php
get_footer();