<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Aytias
 */

get_header();

// Add a main container in case if sidebar is present
$class = '';
$page_layout = aytias_get_page_layout();
if('no-sidebar' != $page_layout){
	$class = 'wide-max-width';
}

$archive_style = aytias_get_option('archive_style');
if(empty($archive_style)){
	$archive_style = 'archive_style_1';
}
set_query_var( 'archive_style', $archive_style );
?>
<main id="site-content" role="main" class="wrapper <?php echo esc_attr($class);?>">

	<div id="primary" class="content-area" data-template="<?php echo esc_attr($archive_style);?>">

		<?php get_template_part( 'template-parts/header/breadcrumb' ); ?>
		
		<?php if ( have_posts() ) : ?>

			<header class="page-header wide-max-width">
				<div class="archive-header-content-wrap">
					<?php
					the_archive_title( '<h1 class="page-title">', '</h1>' );
					the_archive_description( '<div class="archive-description">', '</div>' );
					?>
				</div>
			</header><!-- .page-header -->

			<?php

			echo '<div class="aytias-posts-lists aytias-'.esc_attr($archive_style). '">';

			/* Start the Loop */
			while ( have_posts() ) : the_post();
				
				get_template_part('template-parts/content/content', 'archive');

			endwhile;

			echo '</div><!-- .aytias-posts-lists -->';

			get_template_part( 'template-parts/pagination' );

		else :

			get_template_part( 'template-parts/content/content', 'none' );

		endif;
		?>

	</div><!-- #primary -->

	<?php 
	if('no-sidebar' != $page_layout){
		get_sidebar();
	}
	?>

</main><!-- #site-content-->
<?php
get_footer();