<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Aytias
 */

$wrapper_classes = '';
$enable_border_above_footer = aytias_get_option('enable_border_above_footer'); 
if($enable_border_above_footer){
	$wrapper_classes .= ' border-enabled';
}

?>

<?php do_action( 'aytias_before_footer' );?>

<?php get_template_part( 'template-parts/footer/before-footer' ); ?>

<?php get_template_part( 'template-parts/footer/before-footer-no-container' ); ?>

<footer id="colophon" class="site-footer<?php echo esc_attr( $wrapper_classes ); ?>">

	<div class="wrapper">

		<?php get_template_part( 'template-parts/footer/footer-widgets' ); ?>

		<?php get_template_part( 'template-parts/footer/footer-info' ); ?>
		
	</div><!-- wrapper -->

</footer><!-- #colophon -->

<?php get_template_part( 'template-parts/footer/after-footer' ); ?>

<?php get_template_part( 'template-parts/footer/after-footer-no-container' ); ?>

<?php do_action( 'aytias_after_footer' );?>

<?php 
$enable_scroll_to_top = aytias_get_option('enable_scroll_to_top');
if($enable_scroll_to_top){
	?>
	<a id="aytias-scroll-to-top" href="#" class="fill-children-current-color">
		<?php aytias_the_theme_svg('arrow-up-circled');?>
	</a>
	<?php
}
?>

</div><!-- #page -->

<?php do_action( 'aytias_after_site' );?>

<?php wp_footer(); ?>

</body>
</html>