<?php
/**
 * The front page template file
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Aytias
 */
get_header();
if ( 'posts' == get_option( 'show_on_front' ) ) {
    include( get_home_template() );
} else {

    // Add a main container in case if sidebar is present
    $class = '';
    $page_layout = aytias_get_page_layout();
    if('no-sidebar' != $page_layout){
        $class = 'wide-max-width';
    }
    
    ?>
    <main id="site-content" role="main" class="wrapper <?php echo esc_attr($class);?>">

        <div id="primary" class="content-area">
           
            <?php  while ( have_posts() ) : the_post(); ?>

                <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

                    <div class="article-block-wrapper">

                        <header class="entry-header default-max-width">
                            <?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
                        </header><!-- .entry-header -->

                        <div class="entry-content">
                            <?php
                            the_content();
                            wp_link_pages(
                                array(
                                    'before'=> '<nav class="page-links"><span class="label">' . __( 'Pages:', 'aytias' ) . '</span>',
                                    'after' => '</nav>',
                                )
                            );
                            ?>
                        </div><!-- .entry-content -->

                        <?php if ( get_edit_post_link() ) : ?>
                            <footer class="entry-footer default-max-width">
                                <?php
                                edit_post_link(
                                    sprintf(
                                        wp_kses(
                                            /* translators: %s: Name of current post. Only visible to screen readers */
                                            __( 'Edit <span class="screen-reader-text">%s</span>', 'aytias' ),
                                            array(
                                                'span' => array(
                                                    'class' => array(),
                                                ),
                                            )
                                        ),
                                        wp_kses_post( get_the_title() )
                                    ),
                                    '<span class="aytias-edit edit-link">'.aytias_get_theme_svg( 'edit' ),
                                    '</span>'
                                );
                                ?>
                            </footer><!-- .entry-footer -->
                        <?php endif; ?>

                    </div><!-- content-inner-wrap -->

                </article><!-- #post-<?php the_ID(); ?> -->

            <?php endwhile;?>

        </div> <!-- #primary -->

        <?php 
        if('no-sidebar' != $page_layout){
            get_sidebar();
        }
        ?>

    </main> <!-- #site-content-->
    <?php 
}
get_footer();