<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Aytias
 */

?>
<!doctype html>
<html <?php language_attributes(); ?> >
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php wp_body_open(); ?>

<?php do_action( 'aytias_before_site' );?>


<div id="page" class="site">
	
	<?php get_template_part( 'template-parts/header/preloader' ); ?>

	<?php get_template_part( 'template-parts/header/progressbar' ); ?>

	<a class="skip-link screen-reader-text" href="#site-content"><?php esc_html_e( 'Skip to content', 'aytias' ); ?></a>

	<?php do_action( 'aytias_before_header' ); ?>

	<?php get_template_part( 'template-parts/header/site-header' ); ?>

	<?php do_action( 'aytias_before_content' ); ?>

	<?php
	do_action( 'aytias_content_top' );