<?php
/*Category add form fields*/
if(!function_exists('aytias_add_category_fields')):
    function aytias_add_category_fields() {
        ?>
        <div class="form-field term-thumbnail-wrap">
            <label><?php _e( 'Thumbnail', 'aytias' ); ?></label>
            <div id="post_cat_thumbnail" style="float: left; margin-right: 10px;">
                <img src="<?php echo esc_url( aytias_placeholder_img_src() ); ?>" width="60px" height="60px" />
            </div>
            <div style="line-height: 60px;">
                <input type="hidden" id="post_cat_thumbnail_id" name="post_cat_thumbnail_id" />
                <button type="button" class="upload_image_button button"><?php _e( 'Upload/Add image', 'aytias' ); ?></button>
                <button type="button" class="remove_image_button button"><?php _e( 'Remove image', 'aytias' ); ?></button>
            </div>
            <div class="clear"></div>
        </div>
        <?php
    }
endif;
add_action( 'category_add_form_fields', 'aytias_add_category_fields'  );

/*Category edit form fields*/
if(!function_exists('aytias_edit_category_fields')):
    function aytias_edit_category_fields($term) {

        $thumbnail_id = absint( get_term_meta( $term->term_id, 'thumbnail_id', true ) );

        if ( $thumbnail_id ) {
            $image = wp_get_attachment_thumb_url( $thumbnail_id );
        } else {
            $image = aytias_placeholder_img_src();
        }
        ?>
        <tr class="form-field">
            <th scope="row" valign="top"><label><?php _e( 'Thumbnail', 'aytias' ); ?></label></th>
            <td>
                <div id="post_cat_thumbnail" style="float: left; margin-right: 10px;"><img src="<?php echo esc_url( $image ); ?>" width="60px" height="60px" /></div>
                <div style="line-height: 60px;">
                    <input type="hidden" id="post_cat_thumbnail_id" name="post_cat_thumbnail_id" value="<?php echo $thumbnail_id; ?>" />
                    <button type="button" class="upload_image_button button"><?php _e( 'Upload/Add image', 'aytias' ); ?></button>
                    <button type="button" class="remove_image_button button"><?php _e( 'Remove image', 'aytias' ); ?></button>
                </div>
                <div class="clear"></div>
            </td>
        </tr>
        <?php
    }
endif;
add_action( 'category_edit_form_fields', 'aytias_edit_category_fields' , 10 );

/*Save Category fields*/
if(!function_exists('aytias_save_category_fields')):
    function aytias_save_category_fields($term_id) {
        if ( isset( $_POST['post_cat_thumbnail_id'] ) ) {
            update_term_meta( $term_id, 'thumbnail_id', absint( $_POST['post_cat_thumbnail_id'] ) );
        }
        
    }
endif;
add_action( 'created_category', 'aytias_save_category_fields' , 10, 3 );
add_action( 'edited_category', 'aytias_save_category_fields' , 10, 3 );

/* Category Image Js */
if(!function_exists('aytias_admin_post_cat_js')):
    function aytias_admin_post_cat_js($hook){
        if($hook != 'edit-tags.php' && $hook != 'term.php') {
            return;
        }

        wp_enqueue_media();
        wp_enqueue_script( 'post_cat_js', get_template_directory_uri().'/inc/category-meta/js/script.js','','',true );
        wp_localize_script( 'post_cat_js', 'UNFOLDADMIN', array(
            'title' => __( 'Choose an image', 'aytias' ),
            'btn_txt' => __( 'Use image', 'aytias' ),
            'img' => esc_js( aytias_placeholder_img_src()),
        ) );
    }
endif;
add_action( 'admin_enqueue_scripts', 'aytias_admin_post_cat_js' );

/*Show category image in admin column*/
if(!function_exists('aytias_post_cat_column_head')):
    function aytias_post_cat_column_head($columns){
        $new_columns = array();

        if ( isset( $columns['cb'] ) ) {
            $new_columns['cb'] = $columns['cb'];
            unset( $columns['cb'] );
        }

        $new_columns['thumb'] = __( 'Image', 'aytias' );

        return array_merge( $new_columns, $columns );
    }
endif;
add_filter( 'manage_edit-category_columns', 'aytias_post_cat_column_head'  );

if(!function_exists('aytias_post_cat_column_body')):
    function aytias_post_cat_column_body($columns, $column, $id ){
        if ( 'thumb' == $column ) {
            $thumbnail_id = get_term_meta( $id, 'thumbnail_id', true );
            if ( $thumbnail_id ) {
                $image = wp_get_attachment_thumb_url( $thumbnail_id );
            } else {
                $image = aytias_placeholder_img_src();
            }
            $image = str_replace( ' ', '%20', $image );
            $columns .= '<img src="' . esc_url( $image ) . '" alt="' . esc_attr__( 'Thumbnail', 'aytias' ) . '" class="wp-post-image" height="48" width="48" />';
        }
        return $columns;
    }
endif;
add_filter( 'manage_category_custom_column', 'aytias_post_cat_column_body' , 10, 3 );