<?php
/**
 * Default customizer values.
 *
 * @package Aytias
 */
if ( ! function_exists( 'aytias_get_default_customizer_values' ) ) :
	/**
	 * Get default customizer values.
	 *
	 * @since 1.0.0
	 *
	 * @return array Default customizer values.
	 */
	function aytias_get_default_customizer_values() {

		$defaults = array();


		//Site title options
		$defaults['hide_title'] = false;
		$defaults['hide_tagline'] = false;
		$defaults['site_title_text_size'] = 24;
        $defaults['site_tagline_text_size'] = 18;

        // Color options
		$defaults['primary_color'] = '#495057';
		$defaults['accent_color'] = '#ff2e63';
		$defaults['primary_menu_text_color'] = '#ff2e63';
		$defaults['sub_menu_bg_color'] = '#000000';
		$defaults['sub_menu_text_color'] = '#ffffff';

		//Top bar
		$defaults['enable_top_bar'] = false;
		$defaults['hide_top_bar_mobile'] = true;

		$defaults['enable_todays_date'] = false;
		$defaults['todays_date_format'] = 'l, F j Y';

		$defaults['enable_top_bar_social_nav'] = true;
		$defaults['enable_top_bar_nav'] = true;

		$defaults['top_bar_bg_color'] = '#000000';
		$defaults['top_bar_date_color'] = '#ffffff';
		$defaults['top_bar_social_nav_icons_color'] = '#ffffff';
		$defaults['top_bar_social_nav_hover_color'] = '#ff2e63';
		$defaults['top_bar_nav_menu_color'] = '#ffffff';
		$defaults['top_bar_nav_menu_hover_color'] = '#ff2e63';
		$defaults['top_bar_sub_menu_bg_color'] = '#000000';

        // Header
        $defaults['header_bg_color'] = '#ffffff';
        $defaults['sticky_bar_bg_color'] = '#ffffff';
        $defaults['header_style'] = 'header_style_1';
        $defaults['enable_top_nav'] = true;
		$defaults['enable_header_social_nav'] = true;
		$defaults['enable_search_on_header'] = true;
		$defaults['header_search_btn_style'] = 'style_1';
		$defaults['enable_border_below_header'] = false;
		$defaults['enable_mini_cart_header'] = true;
		$defaults['enable_woo_my_account'] = true;
		$defaults['enable_sticky_menu'] = true;

        // Misc
        $defaults['show_preloader'] = false;
        $defaults['show_progressbar'] = false;
		$defaults['enable_breadcrumb'] = true;

        // Front Page
		$defaults['front_page_enable_sidebar'] = false;
		$defaults['hide_front_page_sidebar_mobile'] = false;
		$defaults['front_page_layout'] = 'right-sidebar';

		// Typography
		$defaults['primary_font'] = '"Bitter", "regular:italic:700", serif';
        $defaults['secondary_font'] = '"Bitter", "regular:italic:700", serif';
        $defaults['primary_font_weight'] = 600;
        $defaults['secondary_font_weight'] = 'normal';

        // Sidebar options
        $defaults['global_sidebar_layout'] = 'right-sidebar';
        $defaults['hide_global_sidebar_mobile'] = false;

        // Single Post
        $defaults['single_post_style'] = 'single_style_1';
        $defaults['posts_navigation_style'] = 'style_1';
        $defaults['single_post_meta'] = array('author', 'date', 'comment', 'category', 'tags');
		
        $defaults['show_author_info'] = true;

        $defaults['show_related_posts'] = true;
        $defaults['related_posts_text'] = __('You May Also Like', 'aytias');
        $defaults['no_of_related_posts'] = 3;
		$defaults['related_posts_orderby'] = 'date';
		$defaults['related_posts_order'] = 'desc';
		$defaults['author_posts_orderby'] = 'date';
		$defaults['author_posts_order'] = 'desc';

        $defaults['show_author_posts'] = true;
        $defaults['author_posts_text'] = __('More From Author', 'aytias');
        $defaults['no_of_author_posts'] = 3;

        // Archive
        $defaults['archive_style'] = 'archive_style_1';
        $defaults['archive_pagination_type'] = 'default';
        $defaults['archive_post_meta'] = array('author', 'date', 'comment', 'category');
        
        /*Footer*/
        $defaults['footer_bg_color'] = '#ffffff';
        $defaults['footer_column_layout'] = 'footer_layout_2';
        $defaults['enable_border_above_footer'] = false;
        $defaults['enable_copyright'] = true;
        $defaults['copyright_text'] = esc_html__( 'Copyright &copy;', 'aytias' );
        $defaults['copyright_date_format'] = 'Y';
        $defaults['enable_footer_credit'] = true;
        $defaults['enable_footer_nav'] = false;
        $defaults['enable_footer_social_nav'] = false;
        $defaults['enable_scroll_to_top'] = true;

		$defaults = apply_filters( 'aytias_default_customizer_values', $defaults );
		return $defaults;
	}
endif;