<?php
$wp_customize->add_section(
    'archive_options' ,
    array(
        'title' => __( 'Archive Options', 'aytias' ),
        'panel' => 'aytias_option_panel',
    )
);

/* Archive Style */
$wp_customize->add_setting(
    'aytias_options[archive_style]',
    array(
        'default'           => $default_options['archive_style'],
        'sanitize_callback' => 'aytias_sanitize_radio',
    )
);
$wp_customize->add_control(
    new Aytias_Radio_Image_Control(
        $wp_customize,
        'aytias_options[archive_style]',
        array(
            'label'	=> __( 'Archive Style', 'aytias' ),
            'section' => 'archive_options',
            'choices' => aytias_get_archive_layouts()
        )
    )
);

/*Archive Pagination Type*/
$wp_customize->add_setting(
    'aytias_options[archive_pagination_type]',
    array(
        'default'           => $default_options['archive_pagination_type'],
        'sanitize_callback' => 'aytias_sanitize_select',
    )
);
$wp_customize->add_control(
    'aytias_options[archive_pagination_type]',
    array(
        'label'       => __( 'Archive Pagination Type', 'aytias' ),
        'section'     => 'archive_options',
        'type'        => 'select',
        'choices'     => array(
            'default' => __( 'Default (Older / Newer Post)', 'aytias' ),
            'numeric' => __( 'Numeric', 'aytias' ),
            'ajax_load_on_click' => __( 'Load more post on click', 'aytias' ),
            'ajax_load_on_scroll' => __( 'Load more posts on scroll', 'aytias' ),
        ),
    )
);

/* Archive Meta */
$wp_customize->add_setting(
    'aytias_options[archive_post_meta]',
    array(
        'default'           => $default_options['archive_post_meta'],
        'sanitize_callback' => 'aytias_sanitize_checkbox_multiple',
    )
);
$wp_customize->add_control(
    new Aytias_Checkbox_Multiple(
        $wp_customize,
        'aytias_options[archive_post_meta]',
        array(
            'label'	=> __( 'Archive Post Meta', 'aytias' ),
            'description'	=> __( 'Choose the post meta you want to be displayed on archive post listings.
            Some meta values may not show on front end in case of certain archive style or if post have post-formats.', 'aytias' ),
            'section' => 'archive_options',
            'choices' => array(
                'author' => __( 'Author', 'aytias' ),
                'read_time' => __( 'Post Read Time', 'aytias' ),
                'date' => __( 'Date', 'aytias' ),
                'comment' => __( 'Comment', 'aytias' ),
                'category' => __( 'Category', 'aytias' ),
                'tags' => __( 'Tags', 'aytias' ),
            )
        )
    )
);