<?php

$widgets_link = admin_url( 'widgets.php' );

$wp_customize->add_section(
    'footer_options' ,
    array(
        'title' => __( 'Footer Options', 'aytias' ),
        'panel' => 'aytias_option_panel',
    )
);

/* Footer Background Color*/
$wp_customize->add_setting(
    'aytias_options[footer_bg_color]',
    array(
        'default' => $default_options['footer_bg_color'],
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'aytias_options[footer_bg_color]',
        array(
            'label' => __('Footer Background Color', 'aytias'),
            'section' => 'footer_options',
            'type' => 'color',
        )
    )
);

/*Option to choose footer column layout*/
$wp_customize->add_setting(
    'aytias_options[footer_column_layout]',
    array(
        'default'           => $default_options['footer_column_layout'],
        'sanitize_callback' => 'aytias_sanitize_radio',
    )
);
$wp_customize->add_control(
    new Aytias_Radio_Image_Control(
        $wp_customize,
        'aytias_options[footer_column_layout]',
        array(
            'label'       => __( 'Footer Column Layout', 'aytias' ),
            'description' => sprintf( __( 'Footer widgetareas used will vary based on the footer column layout chosen. Head over to  <a href="%s" target="_blank">widgets</a> to see which footer widgetareas are used if you change the layout.', 'aytias' ), $widgets_link ),
            'section'     => 'footer_options',
            'choices' => aytias_get_footer_layouts()
        )
    )
);
/**/

/*Enable Border Top*/
$wp_customize->add_setting(
    'aytias_options[enable_border_above_footer]',
    array(
        'default'           => $default_options['enable_border_above_footer'],
        'sanitize_callback' => 'aytias_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'aytias_options[enable_border_above_footer]',
    array(
        'label'    => __( 'Enable a border above footer', 'aytias' ),
        'section'  => 'footer_options',
        'type'     => 'checkbox',
    )
);

/*Enable copyright*/
$wp_customize->add_setting(
    'aytias_options[enable_copyright]',
    array(
        'default'           => $default_options['enable_copyright'],
        'sanitize_callback' => 'aytias_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'aytias_options[enable_copyright]',
    array(
        'label'    => __( 'Enable Copyright', 'aytias' ),
        'section'  => 'footer_options',
        'type'     => 'checkbox',
    )
);

/*Copyright Text.*/
$wp_customize->add_setting(
    'aytias_options[copyright_text]',
    array(
        'default'           => $default_options['copyright_text'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'aytias_options[copyright_text]',
    array(
        'label'    => __( 'Copyright Text', 'aytias' ),
        'section'  => 'footer_options',
        'type'     => 'text',
        'active_callback'  => 'aytias_is_copyright_enabled'
    )
);

/*Todays Date Format*/
$wp_customize->add_setting(
    'aytias_options[copyright_date_format]',
    array(
        'default'           => $default_options['copyright_date_format'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'aytias_options[copyright_date_format]',
    array(
        'label'    => __( 'Todays Date Format', 'aytias' ),
        'description' => sprintf( wp_kses( __( '<a href="%s" target="_blank">Date and Time Formatting Documentation</a>.', 'aytias' ), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( 'https://wordpress.org/support/article/formatting-date-and-time' ) ),
        'section'  => 'footer_options',
        'type'     => 'text',
        'active_callback'  => 'aytias_is_copyright_enabled'
    )
);

/*Enable footer credit*/
$wp_customize->add_setting(
    'aytias_options[enable_footer_credit]',
    array(
        'default'           => $default_options['enable_footer_credit'],
        'sanitize_callback' => 'aytias_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'aytias_options[enable_footer_credit]',
    array(
        'label'    => __( 'Enable Footer Credit', 'aytias' ),
        'section'  => 'footer_options',
        'type'     => 'checkbox',
    )
);

/*Enable Footer Nav*/
$wp_customize->add_setting(
    'aytias_options[enable_footer_nav]',
    array(
        'default'           => $default_options['enable_footer_nav'],
        'sanitize_callback' => 'aytias_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'aytias_options[enable_footer_nav]',
    array(
        'label'    => __( 'Show Footer Nav Menu', 'aytias' ),
        'description' => sprintf( __( 'You can add/edit footer nav menu from <a href="%s">here</a>.', 'aytias' ), "javascript:wp.customize.control( 'nav_menu_locations[footer-menu]' ).focus();" ),
        'section'  => 'footer_options',
        'type'     => 'checkbox',
    )
);

/*Enable Footer Social Nav*/
$wp_customize->add_setting(
    'aytias_options[enable_footer_social_nav]',
    array(
        'default'           => $default_options['enable_footer_social_nav'],
        'sanitize_callback' => 'aytias_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'aytias_options[enable_footer_social_nav]',
    array(
        'label'    => __( 'Show Social Nav Menu in Footer', 'aytias' ),
        'description' => sprintf( __( 'You can add/edit social nav menu from <a href="%s">here</a>.', 'aytias' ), "javascript:wp.customize.control( 'nav_menu_locations[social-menu]' ).focus();" ),
        'section'  => 'footer_options',
        'type'     => 'checkbox',
    )
);

/*Enable scroll to top*/
$wp_customize->add_setting(
    'aytias_options[enable_scroll_to_top]',
    array(
        'default'           => $default_options['enable_scroll_to_top'],
        'sanitize_callback' => 'aytias_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'aytias_options[enable_scroll_to_top]',
    array(
        'label'    => __( 'Show Scroll to top', 'aytias' ),
        'section'  => 'footer_options',
        'type'     => 'checkbox',
    )
);