<?php
/*Add Home Page Options Panel.*/
$wp_customize->add_panel(
    'theme_home_option_panel',
    array(
        'title' => __( 'Front Page Options', 'aytias' ),
        'description' => __( 'Contains all front page settings', 'aytias'),
        'priority' => 50
    )
);
/**/

$wp_customize->add_section(
    'home_page_layout_options',
    array(
        'title'      => __( 'Front Page Sidebar Options', 'aytias' ),
        'panel'      => 'theme_home_option_panel',
    )
);

/* Home Page Layout */
$wp_customize->add_setting(
    'aytias_options[front_page_layout]',
    array(
        'default'           => $default_options['front_page_layout'],
        'sanitize_callback' => 'aytias_sanitize_select',
    )
);
$wp_customize->add_control(
    new Aytias_Radio_Image_Control(
        $wp_customize,
        'aytias_options[front_page_layout]',
        array(
            'label'	=> __( 'Front Page Sidebar Layout', 'aytias' ),
            'section' => 'home_page_layout_options',
            'choices' => aytias_get_general_layouts(),
        )
    )
);

// Hide Side Bar on Mobile
$wp_customize->add_setting(
    'aytias_options[hide_front_page_sidebar_mobile]',
    array(
        'default'           => $default_options['hide_front_page_sidebar_mobile'],
        'sanitize_callback' => 'aytias_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'aytias_options[hide_front_page_sidebar_mobile]',
    array(
        'label'       => __( 'Hide Front Page Sidebar on Mobile', 'aytias' ),
        'section'     => 'home_page_layout_options',
        'type'        => 'checkbox',
    )
);

// Different Sidebar for front page
$wp_customize->add_setting(
    'aytias_options[front_page_enable_sidebar]',
    array(
        'default'           => $default_options['front_page_enable_sidebar'],
        'sanitize_callback' => 'aytias_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'aytias_options[front_page_enable_sidebar]',
    array(
        'label'       => __( 'Enable Different Sidebar for Front Page', 'aytias' ),
        'section'     => 'home_page_layout_options',
        'description' => __( 'Widgets on this sidebar widget will reset if disabled.', 'aytias'),
        'type'        => 'checkbox',
    )
);
