<?php
$wp_customize->remove_setting('display_header_text');
$wp_customize->remove_control('display_header_text');

$wp_customize->add_setting(
    'aytias_options[hide_title]',
    array(
        'default' => $default_options['hide_title'],
        'sanitize_callback' => 'aytias_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'aytias_options[hide_title]',
    array(
        'type' => 'checkbox',
        'label' => __( 'Hide Site Title', 'aytias' ),
        'section' => 'title_tagline',
        'priority' => 10,
    )
);

$wp_customize->add_setting(
    'aytias_options[hide_tagline]',
    array(
        'default' => $default_options['hide_tagline'],
        'sanitize_callback' => 'aytias_sanitize_checkbox',
    )
);

$wp_customize->add_control(
    'aytias_options[hide_tagline]',
    array(
        'type' => 'checkbox',
        'label' => __( 'Hide Tagline', 'aytias' ),
        'section' => 'title_tagline',
        'priority' => 10,
    )
);

/*Site title text size*/
$wp_customize->add_setting(
    'aytias_options[site_title_text_size]',
    array(
        'default' => $default_options['site_title_text_size'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'aytias_options[site_title_text_size]',
    array(
        'label' => __('Site Title Text Size', 'aytias'),
        'description' => __('( Default: 24px ) Changes\'re only applicable to desktop version.', 'aytias'),
        'section' => 'title_tagline',
        'type' => 'number',
        'input_attrs' => array('min' => 1, 'max' => 100, 'style' => 'width: 150px;'),
    )
);
$wp_customize->add_setting(
    'aytias_options[site_tagline_text_size]',
    array(
        'default' => $default_options['site_tagline_text_size'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'aytias_options[site_tagline_text_size]',
    array(
        'label' => __('Site Tagline Text Size', 'aytias'),
        'description' => __('( Default: 18px ) Changes\'re only applicable to desktop version.', 'aytias'),
        'section' => 'title_tagline',
        'type' => 'number',
        'input_attrs' => array('min' => 1, 'max' => 100, 'style' => 'width: 150px;'),
    )
);
/**/

/*Add Theme Options Panel.*/
$wp_customize->add_panel(
    'aytias_option_panel',
    array(
        'title' => __( 'Theme Options', 'aytias' ),
        'description' => __( 'Contains all theme settings', 'aytias'),
        'priority' => 60
    )
);
/**/

/* ========== Preloader Section. ==========*/
$wp_customize->add_section(
    'preloader_options',
    array(
        'title'      => __( 'Preloader Options', 'aytias' ),
        'panel'      => 'aytias_option_panel',
    )
);
/*Show Preloader*/
$wp_customize->add_setting(
    'aytias_options[show_preloader]',
    array(
        'default'           => $default_options['show_preloader'],
        'sanitize_callback' => 'aytias_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'aytias_options[show_preloader]',
    array(
        'label'    => __( 'Show Preloader', 'aytias' ),
        'section'  => 'preloader_options',
        'type'     => 'checkbox',
    )
);
/* ========== Preloader Section Close========== */

/* ========== Progressbar Section. ==========*/
$wp_customize->add_section(
    'progressbar_options',
    array(
        'title'      => __( 'Progressbar Options', 'aytias' ),
        'panel'      => 'aytias_option_panel',
    )
);
/*Show Preloader*/
$wp_customize->add_setting(
    'aytias_options[show_progressbar]',
    array(
        'default'           => $default_options['show_progressbar'],
        'sanitize_callback' => 'aytias_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'aytias_options[show_progressbar]',
    array(
        'label'    => __( 'Show Progressbar', 'aytias' ),
        'section'  => 'progressbar_options',
        'type'     => 'checkbox',
    )
);
/* ========== Preloader Section Close========== */

/* ========== Breadcrumb Section ========== */
$wp_customize->add_section(
    'breadcrumb_options',
    array(
        'title'      => __( 'Breadcrumb Options', 'aytias' ),
        'panel'      => 'aytias_option_panel',
    )
);
/*Show Breadcrumb*/
$wp_customize->add_setting(
    'aytias_options[enable_breadcrumb]',
    array(
        'default'           => $default_options['enable_breadcrumb'],
        'sanitize_callback' => 'aytias_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'aytias_options[enable_breadcrumb]',
    array(
        'label'    => __( 'Enable Breadcrumb', 'aytias' ),
        'section'  => 'breadcrumb_options',
        'type'     => 'checkbox',
    )
);
/* ========== Breadcrumb Section Close ========== */

/* ========== Sidebar Section ========== */
$wp_customize->add_section(
    'sidebar_options',
    array(
        'title'      => __( 'Sidebar Options', 'aytias' ),
        'panel'      => 'aytias_option_panel',
    )
);

/* Global Layout*/
$wp_customize->add_setting(
    'aytias_options[global_sidebar_layout]',
    array(
        'default'           => $default_options['global_sidebar_layout'],
        'sanitize_callback' => 'aytias_sanitize_radio',
    )
);
$wp_customize->add_control(
    new Aytias_Radio_Image_Control(
        $wp_customize,
        'aytias_options[global_sidebar_layout]',
        array(
            'label'	=> __( 'Global Sidebar Layout', 'aytias' ),
            'section' => 'sidebar_options',
            'choices' => aytias_get_general_layouts()
        )
    )
);

// Hide Side Bar on Mobile
$wp_customize->add_setting(
    'aytias_options[hide_global_sidebar_mobile]',
    array(
        'default'           => $default_options['hide_global_sidebar_mobile'],
        'sanitize_callback' => 'aytias_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'aytias_options[hide_global_sidebar_mobile]',
    array(
        'label'       => __( 'Hide Global Sidebar on Mobile', 'aytias' ),
        'section'     => 'sidebar_options',
        'type'        => 'checkbox',
    )
);