<?php
/* Typography Section
*------------------------------------*/
$wp_customize->add_section(
    'typography_options',
    array(
        'title' => esc_html__('Typography', 'aytias'),
        'panel' => 'aytias_option_panel',
    )
);

/*Primary Font*/
$wp_customize->add_setting(
    'aytias_options[primary_font]',
    array(
        'default' => $default_options['primary_font'],
        'sanitize_callback' => 'aytias_sanitize_special_select',
    )
);
$wp_customize->add_control(
    'aytias_options[primary_font]',
    array(
        'label' => __('Font For Heading Titles', 'aytias'),
        'description' => __('Default font is "Bitter"', 'aytias'),
        'section' => 'typography_options',
        'type' => 'select',
        'choices' => aytias_get_fonts(),
    )
);

// Primary Font Weight
$wp_customize->add_setting(
    'aytias_options[primary_font_weight]',
    array(
        'default' => $default_options['primary_font_weight'],
        'sanitize_callback' => 'aytias_sanitize_select',
    )
);
$wp_customize->add_control(
    'aytias_options[primary_font_weight]',
    array(
        'label' => __('Heading Titles Font Weight', 'aytias'),
        'description' => __('Default is "500"', 'aytias'),
        'section' => 'typography_options',
        'type' => 'select',
        'choices' => array(
            'normal'  => 'Normal',
            'bold'    => 'Bold',
            'bolder'  => 'Bolder',
            'lighter' => 'Lighter',
            '100'     => '100',
            '200'     => '200',
            '300'     => '300',
            '400'     => '400',
            '500'     => '500',
            '600'     => '600',
            '700'     => '700',
            '800'     => '800',
            '900'     => '900'
        ),
    )
);

/*Secondary Font*/
$wp_customize->add_setting(
    'aytias_options[secondary_font]',
    array(
        'default' => $default_options['secondary_font'],
        'sanitize_callback' => 'aytias_sanitize_special_select',
    )
);
$wp_customize->add_control(
    'aytias_options[secondary_font]',
    array(
        'label' => __('Font for body text', 'aytias'),
        'description' => __('Default font is "Bitter"', 'aytias'),
        'section' => 'typography_options',
        'type' => 'select',
        'choices' => aytias_get_fonts(),
    )
);

// Secondary Font Weight
$wp_customize->add_setting(
    'aytias_options[secondary_font_weight]',
    array(
        'default' => $default_options['secondary_font_weight'],
        'sanitize_callback' => 'aytias_sanitize_select',
    )
);
$wp_customize->add_control(
    'aytias_options[secondary_font_weight]',
    array(
        'label' => __('Body Text Font Weight', 'aytias'),
        'description' => __('Default is "Normal"', 'aytias'),
        'section' => 'typography_options',
        'type' => 'select',
        'choices' => array(
            'normal'  => 'Normal',
            'bold'    => 'Bold',
            'bolder'  => 'Bolder',
            'lighter' => 'Lighter',
            '100'     => '100',
            '200'     => '200',
            '300'     => '300',
            '400'     => '400',
            '500'     => '500',
            '600'     => '600',
            '700'     => '700',
            '800'     => '800',
            '900'     => '900'
        ),
    )
);