<?php
/**
 * Template part for displaying results in search pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Aytias
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <div class="article-block-wrapper">
        
        <div class="article-details">

            <header class="entry-header">
                <?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
            </header><!-- .entry-header -->

            <?php if ( 'post' === get_post_type() ) :?>
                <div class="entry-meta">
                    <ul class="aytias-entry-meta">
                        <li class="aytias-meta post-author">
                            <span class="meta-icon">
                                <span class="screen-reader-text"><?php _e( 'Post Author', 'aytias' ); ?></span>
                                <?php aytias_the_theme_svg('user'); ?>
                            </span>
                            <span class="meta-text">
                                <?php
                                    printf(
                                        /* translators: %s: Author name. */
                                        __( 'By %s', 'aytias' ),
                                        '<a href="' . esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) . '">' . esc_html( get_the_author_meta( 'display_name' ) ) . '</a>'
                                    );
                                    ?>
                            </span>
                        </li>
                        <li class="aytias-meta post-date">
                            <span class="meta-icon">
                                <span class="screen-reader-text"><?php _e( 'Post Date', 'aytias' ); ?></span>
                                <?php aytias_the_theme_svg('calendar'); ?>
                            </span>
                            <span class="meta-text">
                                <?php echo esc_html(get_the_date()); ?>
                            </span>
                        </li>
                    </ul>
                </div><!-- .entry-meta -->
            <?php endif; ?>

            <div class="entry-summary">
                <?php the_excerpt();?>
            </div><!-- .entry-summary -->

        </div>
    </div>

</article><!-- #post-<?php the_ID(); ?> -->