<?php

$enable_copyright = aytias_get_option('enable_copyright');
$enable_footer_nav = aytias_get_option('enable_footer_nav');
$enable_footer_social_nav = aytias_get_option('enable_footer_social_nav');
$enable_footer_credit = aytias_get_option('enable_footer_credit');

if($enable_copyright || $enable_footer_credit || $enable_footer_nav || $enable_footer_social_nav):
    ?>
    <div class="aytias-footer-siteinfo">

        <?php if($enable_copyright || $enable_footer_credit ):?>

            <div class="footer-credits">

                <?php if($enable_copyright):?>
                    <div class="footer-copyright">
                        <?php
                        $copyright_text = aytias_get_option('copyright_text');
                        if($copyright_text):
                            echo wp_kses_post($copyright_text); 
                        endif;
                        $copyright_date_format = aytias_get_option( 'copyright_date_format', 'Y' );
                        if($copyright_date_format){
                            echo ' '.date_i18n( $copyright_date_format, current_time( 'timestamp' ) );
                        }
                        ?>
                    </div><!-- .footer-copyright -->
                <?php endif; ?>

                <?php if($enable_footer_credit): ?>
                    <div class="theme-credit">
                        <?php printf(esc_html__('Designed & Developed by %1$s', 'aytias'), '<a href="https://unfoldwp.com/" target = "_blank" rel="designer">Unfoldwp</a>'); ?>
                    </div>
                <?php endif; ?><!-- .theme-credit -->

            </div>
            
        <?php endif;?>

        <?php if($enable_footer_nav): ?>
            <div class="site-footer-menu">
                <?php 
                wp_nav_menu(array(
                    'theme_location' => 'footer-menu',
                    'container_class' => 'footer-navigation',
                    'fallback_cb' => false,
                    'depth' => 1,
                    'menu_class' => 'aytias-footer-menu reset-list-style'
                ) );
                ?>
            </div>
        <?php endif; ?>

        <?php if($enable_footer_social_nav): ?>
            <div class="site-footer-menu">
                <?php 
                wp_nav_menu(array(
                    'theme_location' => 'social-menu',
                    'container_class' => 'footer-navigation',
                    'fallback_cb' => false,
                    'depth' => 1,
                    'menu_class' => 'aytias-footer-social-menu aytias-social-icons reset-list-style fill-children-current-color',
                    'link_before'     => '<span class="screen-reader-text">',
                    'link_after'      => '</span>',
                ) );
                ?>
            </div>
        <?php endif; ?>

    </div><!-- .aytias-footer-siteinfo-->

    <?php 
endif;