<?php 
/**
 * Displays breadcrumb
 *
 * @package Aytias
 */

$enable_breadcrumb = aytias_get_option('enable_breadcrumb');

if($enable_breadcrumb):

    if ( ! function_exists( 'breadcrumb_trail' ) ) {
        require_once get_template_directory() . '/lib/breadcrumbs/breadcrumbs.php';
    }

    if( is_singular() ){
        if(isset($page_layout)){
            if('no-sidebar' == $page_layout){
                $wrapper_class = 'default-max-width';
            }else{
                $wrapper_class = 'wide-max-width';
            }
        }else{
            $wrapper_class = 'wide-max-width';
        }
    }else{
        $wrapper_class = 'wide-max-width';
    }

    $breadcrumb_args = array(
        'wrapper_start'   => '<div class="aytias-breadcrumb-wrapper '.$wrapper_class.'">',
        'wrapper_end'   => '</div>',
        'container'   => 'div',
        'before'   => '<div class="reset-list-style">',
        'after'   => '</div>',
        'show_browse' => false,
        'show_on_front' => false,
    );
    breadcrumb_trail( $breadcrumb_args );

endif;