<?php
/**
 * Displays the site header.
 *
 * @package Aytias
 */

$wrapper_classes  = 'site-header aytias-site-header';

$enable_top_bar = aytias_get_option('enable_top_bar');
if($enable_top_bar){
	$wrapper_classes .= ' top-bar-enabled';
}

$enable_border_below_header = aytias_get_option('enable_border_below_header'); 
if($enable_border_below_header){
	$wrapper_classes .= ' border-enabled';
}

$header_style = aytias_get_option('header_style');
$wrapper_classes .= ' aytias-'.$header_style;

$header_template = str_replace('header_','', $header_style);
$header_template = str_replace('_','-', $header_template);
?>

<header id="masthead" class="<?php echo esc_attr( $wrapper_classes ); ?>" role="banner">
	
	<?php 
	if($enable_top_bar):
		get_template_part('template-parts/header/top-bar');
	endif;

	get_template_part('template-parts/header/styles/'.$header_template);
	?>

</header><!-- #masthead -->

<?php 
if ( is_singular() && has_post_thumbnail() && ! post_password_required() ) :

	global $post;
	$thumbnail = get_the_post_thumbnail_url( $post->ID, 'full' );
	$header_image_tag = '';

	if( aytias_is_wc_active() ):
		if(is_product()):
			if(has_header_image()){
				$thumbnail = get_header_image(); 
				$header_image_tag = get_header_image_tag();
			}else{
				$thumbnail = get_theme_support( 'custom-header', 'default-image' );
				$header_image_tag = "<img src=". esc_url( $thumbnail )." width=".esc_attr(get_custom_header()->width)." height=".esc_attr(get_custom_header()->height)." alt=".esc_attr(get_bloginfo( 'name' ))."/>";
			}
		endif;
	endif;

	?>

	<figure class="aytias-header-image aytias-bg-image" style="background-image: url( <?php echo esc_url( $thumbnail ); ?> );">
		<?php echo ($header_image_tag) ? $header_image_tag : get_the_post_thumbnail( $post, 'full' ); ?>
	</figure>

<?php else :

	if(is_category( )):
		$thumbnail_id = absint( get_term_meta( get_queried_object_id(), 'thumbnail_id', true ) );
		if($thumbnail_id){
			$header_image_url = wp_get_attachment_image_url( $thumbnail_id, 'full' );
			$header_image_tag = "<img src=". esc_url( $header_image_url )." width=".esc_attr(get_custom_header()->width)." height=".esc_attr(get_custom_header()->height)." alt=".esc_attr(get_bloginfo( 'name' ))."/>";
		}elseif(has_header_image()){
			$header_image_url = get_header_image(); 
			$header_image_tag = get_header_image_tag();
		}else{
			$header_image_url = get_theme_support( 'custom-header', 'default-image' );
			$header_image_tag = "<img src=". esc_url( $header_image_url )." width=".esc_attr(get_custom_header()->width)." height=".esc_attr(get_custom_header()->height)." alt=".esc_attr(get_bloginfo( 'name' ))."/>";
		}
	else:
		if(has_header_image()){
			$header_image_url = get_header_image(); 
			$header_image_tag = get_header_image_tag();
		}else{
			$header_image_url = get_theme_support( 'custom-header', 'default-image' );
			$header_image_tag = "<img src=". esc_url( $header_image_url )." width=".esc_attr(get_custom_header()->width)." height=".esc_attr(get_custom_header()->height)." alt=".esc_attr(get_bloginfo( 'name' ))."/>";
		}
	endif;
	?>

	<figure class="aytias-header-image aytias-bg-image" style="background-image: url( <?php echo esc_url( $header_image_url ); ?> );">
		<?php echo $header_image_tag;?>
	</figure>

<?php endif; ?>

<?php get_template_part( 'template-parts/header/search-modal' ); ?>

<?php get_template_part( 'template-parts/header/canvas-modal' ); ?>