<?php
/**
 * Displays the site navigation.
 *
 * @package Aytias
 */

$is_wc_active = aytias_is_wc_active();
$enable_mini_cart = aytias_get_option('enable_mini_cart_header');
$enable_myaccount_icon = aytias_get_option('enable_woo_my_account');

$enable_dark_mode = aytias_get_option('enable_dark_mode');
$enable_dark_mode_switcher = aytias_get_option('enable_dark_mode_switcher');

$enable_search = aytias_get_option('enable_search_on_header');

$btn_class = '';
$header_search_btn_style = aytias_get_option('header_search_btn_style');
if('style_2' == $header_search_btn_style){
	$btn_class = 'toggle ';
}
?>
<div id="site-navigation" class="main-navigation aytias-primary-nav">
	<?php 
	if ( has_nav_menu( 'primary-menu' )  ) {
		?>
			<nav class="primary-menu-wrapper" aria-label="<?php echo esc_attr_x( 'Primary', 'menu', 'aytias' ); ?>">
				<ul class="primary-menu reset-list-style">
				<?php
				wp_nav_menu(
					array(
						'container'  => '',
						'items_wrap' => '%3$s',
						'theme_location' => 'primary-menu'
					)
				);
				?>
				</ul>
			</nav><!-- .primary-menu-wrapper -->
		<?php
	}
	?>
</div><!-- .main-navigation -->
	
<div class="secondary-navigation aytias-secondary-nav">

	<?php 
		if ($is_wc_active && $enable_myaccount_icon) :

			$my_account_page = get_permalink( get_option('woocommerce_myaccount_page_id') );

			if ( is_user_logged_in() ) :
				?>
				<a href="<?php echo esc_url($my_account_page); ?>" title="<?php _e('My Account','aytias'); ?>">
					<?php aytias_the_theme_svg('login'); ?>
				</a>
			<?php else : ?>
				<a href="<?php echo esc_url($my_account_page); ?>" title="<?php _e('Login / Register','aytias'); ?>">
				<?php aytias_the_theme_svg('login'); ?>
				</a>
			<?php 
			endif;

		endif;
	?>

	<?php if( $enable_dark_mode && $enable_dark_mode_switcher ): ?>
		<button class="toggle aytias-theme-mode-toggle" id="aytias-theme-mode-toggle" title="<?php _e( 'Toggle light/dark mode', 'aytias' ); ?>" aria-label="auto" aria-live="polite">
			<svg class="sun-and-moon" aria-hidden="true" width="24" height="24" viewBox="0 0 24 24">
			<mask class="moon" id="moon-mask">
				<rect x="0" y="0" width="100%" height="100%" fill="white" />
				<circle cx="24" cy="10" r="6" fill="black" />
			</mask>
			<circle class="sun" cx="12" cy="12" r="6" mask="url(#moon-mask)" fill="currentColor" />
			<g class="sun-beams" stroke="currentColor">
				<line x1="12" y1="1" x2="12" y2="3" />
				<line x1="12" y1="21" x2="12" y2="23" />
				<line x1="4.22" y1="4.22" x2="5.64" y2="5.64" />
				<line x1="18.36" y1="18.36" x2="19.78" y2="19.78" />
				<line x1="1" y1="12" x2="3" y2="12" />
				<line x1="21" y1="12" x2="23" y2="12" />
				<line x1="4.22" y1="19.78" x2="5.64" y2="18.36" />
				<line x1="18.36" y1="5.64" x2="19.78" y2="4.22" />
				</g>
			</svg>
		</button>
	<?php endif;?>

	<?php
	if ($is_wc_active && $enable_mini_cart) :
		aytias_woocommerce_header_cart();
	endif;
	?>

	<?php if($enable_search): ?>
		<button id="aytias-search-canvas-btn" class="<?php echo esc_attr($btn_class);?>aytias-search search-icon" aria-expanded="false">
			<span class="search-label"><?php _e( 'Search', 'aytias' ); ?></span>
			<?php aytias_the_theme_svg( 'search' ); ?>
		</button>
	<?php endif; ?>

</div><!-- .secondary-navigation -->