<?php 
$enable_top_nav = aytias_get_option('enable_top_nav');
$hide_top_bar_mobile = aytias_get_option('hide_top_bar_mobile');
$enable_header_social_nav = aytias_get_option('enable_header_social_nav');
$enable_todays_date = aytias_get_option('enable_todays_date');
?>
<div class="aytias-topbar-row <?php echo ($hide_top_bar_mobile) ? 'hide-on-mobile': '';?>">
    <div class="wrapper">
        <div class="aytias-topbar-wrapper">

            <?php 
            if( $enable_todays_date ):
                $date_format = aytias_get_option( 'todays_date_format', 'l ,  j  F Y' ); ?>
                <div class="aytias-topbar-item aytias-components-date">
                    <span><?php echo date_i18n( $date_format, current_time( 'timestamp' ) ); ?></span>
                </div>
            <?php endif; ?>

            <?php 
            if($enable_header_social_nav): 
                wp_nav_menu(array(
                    'theme_location' => 'social-menu',
                    'container_class' => 'aytias-topbar-item aytias-social-nav',
                    'fallback_cb' => false,
                    'depth' => 1,
                    'menu_class' => 'top-social-icons reset-list-style fill-children-current-color',
                    'link_before'     => '<span class="screen-reader-text">',
                    'link_after'      => '</span>',
                ) );
            endif; ?>

            <?php 
            if($enable_top_nav): 
                wp_nav_menu(array(
                    'theme_location' => 'top-menu',
                    'container_class' => 'aytias-topbar-item aytias-top-nav',
                    'fallback_cb' => false,
                    'depth' => 2,
                    'menu_class' => 'aytias-top-menu reset-list-style'
                ) );
            endif;?>

        </div> <!-- .aytias-topbar-wrapper -->
    </div> <!-- .wrapper -->
</div>