<?php
global $post;
$post_id = $post->ID;

$author_posts_text = aytias_get_option('author_posts_text');
$no_of_author_posts = absint(aytias_get_option('no_of_author_posts'));
$order = esc_attr(aytias_get_option('author_posts_order'));
$orderby = esc_attr(aytias_get_option('author_posts_orderby'));


// Covert id to ID to make it work with query
if( 'id' == $orderby ){
    $orderby = 'ID';
}

$author_posts_args = array(
    'author' => get_the_author_meta('ID'),
    'post_type' => 'post',
    'post__not_in' => array($post_id),
    'posts_per_page' => $no_of_author_posts,
    'ignore_sticky_posts' => 1,
    'orderby' => $orderby,
    'order' => $order,
);
$author_posts_query = new WP_Query($author_posts_args);

if( $author_posts_query->have_posts() ):
    ?>
    <div class="aytias-author-posts-wrapper aytias-post-extras-grid-block wide-max-width">
        <div class="aytias-section-title-wrap">
            <div class="section-title">
                    <h2 class="heading-size-4"><?php echo esc_html($author_posts_text);?></h2>
            </div>
        </div>
        <div class="section-posts">
            <?php while($author_posts_query->have_posts()):$author_posts_query->the_post();?>
                <div class="article-block-wrapper">
                    <?php if (has_post_thumbnail()):?>
                        <div class="entry-image">
                            <a href="<?php the_permalink() ?>">
                                <?php
                                the_post_thumbnail('aytias-post-image', array(
                                    'alt' => the_title_attribute(array(
                                        'echo' => false,
                                    )),
                                ));
                                ?>
                            </a>
                        </div>
                    <?php endif; ?>
                    <div class="article-details">
                        <h3 class="entry-title heading-size-6">
                            <a href="<?php the_permalink() ?>">
                                <?php the_title(); ?>
                            </a>
                        </h3>
                        <div class="post-date">
                            <?php echo esc_html(get_the_date()); ?>
                        </div>
                    </div>
                </div>
            <?php endwhile; wp_reset_postdata(); ?>
        </div>
    </div>
    <?php
endif;