<?php
global $post;
$post_id = $post->ID;

$related_posts_text = aytias_get_option('related_posts_text');
$no_of_related_posts = absint(aytias_get_option('no_of_related_posts'));
$order = esc_attr(aytias_get_option('related_posts_order'));
$orderby = esc_attr(aytias_get_option('related_posts_orderby'));

// Covert id to ID to make it work with query
if( 'id' == $orderby ){
    $orderby = 'ID';
}

$category_ids = array();
$categories = get_the_category($post_id);

if(!empty($categories)) :
    foreach($categories as $cat):
        $category_ids[] = $cat->term_id;
    endforeach;
endif;

if( !empty($category_ids) ):

    $related_posts_args = array(
        'category__in' => $category_ids,
        'post_type' => 'post',
        'post__not_in' => array($post_id),
        'posts_per_page' => $no_of_related_posts,
        'ignore_sticky_posts' => 1,
        'orderby' => $orderby,
        'order' => $order,
    );

    $related_posts_query = new WP_Query($related_posts_args);

    if( $related_posts_query->have_posts() ):
        ?>
        <div class="aytias-related-posts-wrapper aytias-post-extras-grid-block wide-max-width">
            <div class="aytias-section-title-wrap">
                <div class="section-title">
                    <h2 class="heading-size-4"><?php echo esc_html($related_posts_text);?></h2>
                </div>
            </div>
            <div class="section-posts">
                <?php while($related_posts_query->have_posts()):$related_posts_query->the_post();?>
                    <div class="article-block-wrapper">
                        <?php if (has_post_thumbnail()):?>
                            <div class="entry-image">
                                <a href="<?php the_permalink() ?>">
                                    <?php
                                    the_post_thumbnail('aytias-post-image', array(
                                        'alt' => the_title_attribute(array(
                                            'echo' => false,
                                        )),
                                    ));
                                    ?>
                                </a>
                            </div>
                        <?php endif; ?>
                        <div class="article-details">
                            <h3 class="entry-title heading-size-6">
                                <a href="<?php the_permalink() ?>">
                                    <?php the_title(); ?>
                                </a>
                            </h3>
                            <div class="post-date">
                                <?php echo esc_html(get_the_date()); ?>
                            </div>
                        </div>
                    </div>
                <?php endwhile; wp_reset_postdata(); ?>
            </div>
        </div>

        <?php

    endif;

endif;